from kivy.uix.boxlayout import BoxLayout
from kivy.lang import Builder
import os

# KV-Datei laden
Builder.load_file(os.path.join(os.path.dirname(__file__), "mainmenu.kv"))

class MainMenu(BoxLayout):
    start_game_callback = None
    quit_game_callback = None

    def start_game(self):
        if self.start_game_callback:
            self.start_game_callback(
                spawn=self.ids.spawn.value,
                speed=self.ids.speed.value
            )

    def quit_game(self):
        if self.quit_game_callback:
            self.quit_game_callback()
